TLM-2.0: tlm_utils::peq_with_cb_and_phase< OWNER, TYPES > Class Template Reference

# tlm_utils::peq_with_cb_and_phase< OWNER, TYPES > Class Template Reference

`#include <peq_with_cb_and_phase.h>`

Collaboration diagram for tlm_utils::peq_with_cb_and_phase< OWNER, TYPES >:

[legend]

List of all members.

## Classes
class | delta_list
## Public Member Functions
| peq_with_cb_and_phase (OWNER *_owner, cb _cb)
| peq_with_cb_and_phase (const char *_name, OWNER *_owner, cb _cb)
| ~peq_with_cb_and_phase ()
void | notify (tlm_payload_type &t, const tlm_phase_type &p, const sc_core::sc_time &when)
void | notify (tlm_payload_type &t, const tlm_phase_type &p)
void | cancel_all ()

## Detailed Description

### template<typename OWNER, typename TYPES = tlm::tlm_base_protocol_types>
class tlm_utils::peq_with_cb_and_phase< OWNER, TYPES >

An event queue that can contain any number of pending notifications. Each notification have an associate payload.

Definition at line 145 of file peq_with_cb_and_phase.h.

## Constructor & Destructor Documentation

template<typename OWNER , typename TYPES = tlm::tlm_base_protocol_types>

tlm_utils::peq_with_cb_and_phase< OWNER, TYPES >::peq_with_cb_and_phase | ( | OWNER * | _owner,
|  | cb | _cb |
| ) |  |  | `[inline]`

Definition at line 189 of file peq_with_cb_and_phase.h.

template<typename OWNER , typename TYPES = tlm::tlm_base_protocol_types>

tlm_utils::peq_with_cb_and_phase< OWNER, TYPES >::peq_with_cb_and_phase | ( | const char * | _name,
|  | OWNER * | _owner,
|  | cb | _cb |
| ) |  |  | `[inline]`

Definition at line 202 of file peq_with_cb_and_phase.h.

template<typename OWNER , typename TYPES = tlm::tlm_base_protocol_types>

tlm_utils::peq_with_cb_and_phase< OWNER, TYPES >::~peq_with_cb_and_phase | ( |  | ) | `[inline]`

Definition at line 215 of file peq_with_cb_and_phase.h.

## Member Function Documentation

template<typename OWNER , typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::peq_with_cb_and_phase< OWNER, TYPES >::cancel_all | ( |  | ) | `[inline]`

Definition at line 238 of file peq_with_cb_and_phase.h.

template<typename OWNER , typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::peq_with_cb_and_phase< OWNER, TYPES >::notify | ( | tlm_payload_type & | t,
|  | const tlm_phase_type & | p |
| ) |  |  | `[inline]`

Definition at line 232 of file peq_with_cb_and_phase.h.

template<typename OWNER , typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::peq_with_cb_and_phase< OWNER, TYPES >::notify | ( | tlm_payload_type & | t,
|  | const tlm_phase_type & | p,
|  | const sc_core::sc_time & | when |
| ) |  |  | `[inline]`

Definition at line 217 of file peq_with_cb_and_phase.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/peq_with_cb_and_phase.h